import { registerBlockType } from '@wordpress/blocks';
import { __ } from '@wordpress/i18n';
import { useBlockProps } from '@wordpress/block-editor';

registerBlockType('filr/download-button', {
    apiVersion: 3,
    title: __('Filr Download Button', 'filr'),
    icon: 'download',
    category: 'widgets',
    description: __('A dynamic download button for Filr items.', 'filr'),
    supports: {
        html: false,
    },
    edit() {
        return (
            <div {...useBlockProps()}>
                <button className="wp-block-button__link wp-element-button">
                    {__('Download', 'filr')}
                </button>
            </div>
        );
    },
    save() {
        // Dynamic block: rendered in PHP
        return null;
    },
}); 